Bug 198621 - NFS slow on Networked Cluster with kernel 2.6.17-1.2145_FC5
NFS slow on Networked Cluster with kernel 2.6.17-1.2145_FC5
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 07:54 EDT by Joel Webb
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:10:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Webb 2006-07-12 07:54:58 EDT
Description of problem:
After an upgrade to Fedora Core 5 this past weekend on our servers, I noticed a 
slowdown on one of our clustered apache servers.

We have a master and a slave server (so to speak) both of which have web services 
running.

We are sharing /var/lib/php/session/ so that when somebody visits our website, any of 
our webservers can handle the person without getting rid of their session variables.

Version-Release number of selected component (if applicable):
2.6.17-1.2145_FC5

How reproducible:
Very reproducible, after 12 hours of picking apart each and everything that could be the 
possibility. (firewall, apache configuration problem, watching all the logs) I figured out 
that in the /var/log/messages on the slave machine had this:
ul 11 21:45:00 patty kernel: lockd: server 208.53.2.200 not responding, timed out
Jul 11 21:45:53 patty kernel: do_vfs_lock: VFS is out of sync with lock manager!
Jul 11 21:46:00 patty kernel: lockd: server 208.53.2.200 not responding, timed out
Jul 11 21:47:00 patty kernel: lockd: server 208.53.2.200 not responding, timed out



Steps to Reproduce:
1. Build a master and slave computer using NFS for /var/lib/php/session
2. Build a website that handles lots of traffic
3. Watch the slave become slow as molassass when you benchmark it with traffic.
  
Actual results:
SLowwwwwwww


Expected results:
Web Services are transparent. The service should run as fast as a computer that has 
the file share directly on their own computer.

Additional info:
Comment 1 Steve Dickson 2006-07-22 09:47:13 EDT
Couple of things... what server are you using and to could you post a
bzip2 tethereal network trace... something like:
    tethereal -w /tmp/data.pcap host <server> ; bzip2 /tmp/data.pcap

It appears your server is not responding in a timely fashion and hopefully
the network trace will show why... 
Comment 2 Dave Jones 2006-10-16 20:46:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:10:30 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.